Bug 17714 - Remove itemtype-related t/db_dependent/Members/* warnings
Summary: Remove itemtype-related t/db_dependent/Members/* warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-02 17:19 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings (9.69 KB, patch)
2016-12-02 17:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings (9.75 KB, patch)
2016-12-02 19:11 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings (9.80 KB, patch)
2016-12-05 13:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-12-02 17:19:07 UTC
To reproduce:
- Run:
  $ prove t/db_dependent/Members/*
=> FAIL: itemtype-related warnings
Comment 1 Tomás Cohen Arazi 2016-12-02 17:21:55 UTC
Created attachment 57936 [details] [review]
Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings

This patch makes t/db_dependent/Members/* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D
Comment 2 M. Tompsett 2016-12-02 19:11:25 UTC
Created attachment 57943 [details] [review]
[SIGNED-OFF] Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings

This patch makes t/db_dependent/Members/* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 M. Tompsett 2016-12-02 19:12:14 UTC
P.S. Overzealous variable renaming item_infos. Still okay, but not necessary.
Comment 4 Tomás Cohen Arazi 2016-12-02 19:13:32 UTC
(In reply to M. Tompsett from comment #3)
> P.S. Overzealous variable renaming item_infos. Still okay, but not necessary.

Heh, I belived %item_branch_info was no longer a correct name, as it now includes 'itype'. But we could have lived without the change, yeah :-D
Comment 5 Jonathan Druart 2016-12-05 13:19:07 UTC
Created attachment 57958 [details] [review]
Bug 17714: Remove itemtype-related t/db_dependent/Members/* warnings

This patch makes t/db_dependent/Members/* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Members/*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Members/*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Kyle M Hall 2016-12-05 15:28:58 UTC
Pushed to master for 17.05, thanks Tomas!
Comment 7 Katrin Fischer 2016-12-05 20:29:01 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.